Search results

  1. spaar

    Need help with modding and API

    The basic idea is something like this: // If you want to use the sound in a block: public class YourBlockScript : BlockScript { private static ModAudioClip audioClip; public AudioSource source; public override void OnPrefabCreation() { audioClip =...
  2. spaar

    I need some help with the mods from the workshop

    All you should need to do is subscribe to the mods on the Steam workshop and then start the game *through Steam*, and they should appear in the Mods window in the game's title screen. If they do not, could you please post the output_log.txt file from the game's data directory? That should be at...
  3. spaar

    Game not launching for me (linux)

    It looks like Unity is having issues initializing the window. This has happened for other Unity games as well for Linux users, this KSP forum post summarizes the possible solutions quite well. Hope this helps. (Edit: the text "this KSP forum post" is actually a link, even if it's not visisble...
  4. spaar

    Game not launching for me (linux)

    On Linux, the log is located in ~/.config/unity3d/Spiderling Games/Besiege/Player.log. Could you upload that file?
  5. spaar

    spaar's Mod Loader (1.7.1) [Besiege v0.45a]

    The main cause for that button being blocked that I've seen is that the game is currently running. This is unfortunately not made obvious at all by Steam, but you can only use the Beta dropdown when the game is not running (and Steam agrees that the game is not running).
  6. spaar

    Spaar's mod loader is apparently not getting updated anymore

    I think you may have misunderstood what I said, I am planning on getting a new mod loader out there. It's just taking longer than expected. Of course, anybody is free to do other work in the meantime. There is also already the temporary solution ITR came up with with the Unity Plugin Manager...
  7. spaar

    spaar's Mod Loader (1.7.1) [Besiege v0.45a]

    You need to select the previousbuild beta in Steam, take a look at this GitHub issue for details.
  8. spaar

    spaar's Mod Loader (1.7.1) [Besiege v0.45a]

    I can't really do anything about what a specific AV program does unfortunately. The installer does things that AV programs sometimes don't like, e.g. messing with files of another program and replacing them with stuff downloaded from the internet; but since this is the whole purpose of the...
  9. spaar

    spaar's Mod Loader (1.7.1) [Besiege v0.45a]

    In Steam, right-click Besiege, click Properties, go to Betas and select the previousbuild beta. Also see this GitHub issue for more information.
  10. spaar

    spaar's Mod Loader (1.7.1) [Besiege v0.45a]

    Without any further information it's impossible to tell, but presumably it's because you either didn't install the mod loader correctly, or because you're trying to use it on a recent Besiege version with multiplayer support. Please read the main post and the title carefully, especially the part...
  11. spaar

    spaar's Mod Loader (1.7.1) [Besiege v0.45a]

    Well, the multiverse update has changed a lot of things internally. Making mods work with all the new stuff is not exactly easy. In addition, I don't have quite as much time to work on this anymore as I used to have since I started university.
  12. spaar

    spaar's Mod Loader (1.7.1) [Besiege v0.45a]

    It needs to be updates, mod will eventually be a thing again. It's just difficult to say exactly when.
  13. spaar

    spaar's Mod Loader (1.7.1) [Besiege v0.45a]

    The mod loader does not work with the Multiverse update in general. Trying to install it will just result in a broken Besiege, so it's not possible to use it on levels either (except when going back to previousbuild of course).
  14. spaar

    spaar's Mod Loader (1.7.1) [Besiege v0.45a]

    @CyanClaw33 Ideally, you install previousbuild Besiege, then download the installer, telling Windows/Your AV/Chrome/whatever that you actually do want to run it, and then it should work. If it doesn't, you can try the manual installation again, but make sure you *first* switch to previousbuild...
  15. spaar

    spaar's Mod Loader (1.7.1) [Besiege v0.45a]

    Some antivirus programs / Windows SmartScreen sometimes detect the installer because (by design) it goes ahead and modifies files of another program (the game) which is not normally something you would like programs from the internet to do. The only way around it for now is to manually tell the...
  16. spaar

    Temporary Mods for 0.6

    Try restarting your PC, and then, before doing anything else, go to the Besiege folder and drag the .exe onto the plugin manager setup, without starting the game or doing anything else with it. That way it should be almost impossible to get the IOException you posted above.
  17. spaar

    spaar's Mod Loader (1.7.1) [Besiege v0.45a]

    The whole reason for the UPM mods even existing is that the mod loader does not currently work with Besiege v0.60+...
  18. spaar

    spaar's Mod Loader (1.7.1) [Besiege v0.45a]

    There is no virus in these files, if your antivirus program claims otherwise it's a false-positive. Unfortunately this sometimes happens, there's not much I can do about it.
  19. spaar

    spaar's Mod Loader (1.7.1) [Besiege v0.45a]

    Thanks to TheCVBGuy, the installer is now working again. A new version is uploaded, so you'll need to redownload it.
  20. spaar

    spaar's Mod Loader (1.7.1) [Besiege v0.45a]

    See the main post or the posts above yours. The installer doesn't work right now, use the manual installation.
Top